<?xml version="1.0" encoding="UTF-8"?>

<foxml:digitalObject
        VERSION="1.1"
        PID="doms:Schema_ReelTapeSide"
        xmlns:foxml="info:fedora/fedora-system:def/foxml#"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation=
                "info:fedora/fedora-system:def/foxml#
                http://www.fedora.info/definitions/1/0/foxml1-1.xsd">

    <!---***************************************************************************************************************************************
        FEDORA OBJECT PROPERTIES : non-versionable properties of the digital object
        At ingest, the object MUST have these attributes:
            - type:(required) The object is classified as one of three primitive Fedora object types,
              namely FedoraObject, FedoraBDefObject, FedoraBMechObject,
              or FedoraCModelObject.
            - state:(required) The object state can be Active (A), Inactive (I), or Deleted (D)

        And at ingest, it may have these optional attributes:
            - label: (optional) The object is given a user-defined descriptive label.
        The system will automatically assign these attributes (they should not be put in the ingest files,
        but they appear in stored files):
            - createdDate: (system assigned) The object creation date is assigned to the millisecond.
            - lastModifiedDate:(system assigned) The object creation date is assigned to the millisecond.
    ******************************************************************************************************************************************-->

    <foxml:objectProperties>

        <foxml:property
                NAME="info:fedora/fedora-system:def/model#state"
                VALUE="A"/>
        <foxml:property
                NAME="info:fedora/fedora-system:def/model#label"
                VALUE="Reel Tape Side Schema"/>

    </foxml:objectProperties>
    <!--*******************************************************************************************************************************************
           FEDORA RESERVED DATASTREAM: DUBLIN CORE METADATA FOR OBJECT:
           This datastream is always recognized by Fedora by the reserved datastream identifier of "DC".
           Fedora will automatically index the DC datastream as part of the default repository catalog search,
           and also as part of the new RDF-based Resource Index.
     *********************************************************************************************************************************************-->
    <foxml:datastream ID="DC" STATE="A" CONTROL_GROUP="X" VERSIONABLE="true">
        <foxml:datastreamVersion ID="DC.0" MIMETYPE="text/xml" LABEL="Default Dublin Core Record" SIZE="488" CREATED="2004-12-10T00:21:58.000Z">

            <foxml:xmlContent>
                <oai_dc:dc xmlns:oai_dc="http://www.openarchives.org/OAI/2.0/oai_dc/" xmlns:dc="http://purl.org/dc/elements/1.1/">
                    <dc:title>Reel Tape Side Schema</dc:title>
                </oai_dc:dc>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>
    <!--*******************************************************************************************************************************************
         FEDORA RESERVED DATASTREAM: OBJECT-TO-OBJECT RELATIONSHIPS
           This datastream is always recognized by Fedora by the reserved datastream identifier of "RELS-EXT".
           The RELS-EXT datastream is used to make assertions about the relationship of this digital object to other digital
           objects. Assertions are made in RDF.  Relationships can be asserted from the default Fedora relationship
           namespace or other namespaces. Fedora will automatically index this datastream as part of the new RDF-based
           Resource Index.
           The RELS-EXT datastream is validated by Fedora.
     *************************************************************************************************************************************************
           See the RDF Schema for the default Fedora relationships at: http://www.fedora.info/definitions/1/0/fedora-rels.rdfs
           See the "Fedora Relationship Metadata Guide" in the system documentation for specific constraints and syntax rules.
     *************************************************************************************************************************************************
          Below, the RDF <Description> element declares that the asserted relationships are about "this" digital object since
          its rdf:about attribute points to the Fedora URI for this object.  (Fedora URIs are PIDs prepended with "info:fedora/").
          See system documentation for more information about Fedora URIs.
          Below, there are two relationships from the fedora namespace to indicate that this object is a member of two
          different collections. For each relationship assertion, the rdf:resource attribute must contain the URI of another
          Fedora object that this object is related to.  For example, there exists a Fedora object known as
          "info:fedora/test:collection1" that represents a specific collection.
     *******************************************************************************************************************************************-->
    <foxml:datastream ID="RELS-EXT" CONTROL_GROUP="X">
        <foxml:datastreamVersion ID="RELS-EXT.0" MIMETYPE="application/rdf+xml" LABEL="Fedora Object-to-Object Relationship Metadata" SIZE="752" CREATED="2004-12-10T00:21:58.000Z">

            <foxml:xmlContent>
                <rdf:RDF
                        xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                        xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
                        xmlns:doms="http://doms.statsbiblioteket.dk/relations/default/0/1/#"
                        xmlns:dc="http://purl.org/dc/elements/1.1/"
                        xmlns:oai="http://www.openarchives.org/OAI/2.0/"
                        xmlns:oai_dc="http://www.openarchives.org/OAI/2.0/oai_dc/"
                                            xmlns:fedora-model="info:fedora/fedora-system:def/model#">
                    <rdf:Description rdf:about="info:fedora/doms:Schema_ReelTapeSide">
                        <oai:itemID>doms:Schema_ReelTapeSide</oai:itemID>
                        <doms:License rdf:resource="info:fedora/doms:Open_License"/>
                        <doms:hasModel rdf:resource="info:fedora/doms:ContentModel_Schema"/>
                    </rdf:Description>
                </rdf:RDF>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>



    <foxml:datastream
            CONTROL_GROUP="E"
            ID="POLICY"
            STATE="A"
            VERSIONABLE="true">
        <foxml:datastreamVersion
                ID="POLICY.0"
                MIMETYPE="text/xml"
                LABEL="License for this object">
            <foxml:contentDigest DIGEST="none" TYPE="DISABLED"/>
            <foxml:contentLocation REF="http://localhost:8080/fedora/get/doms:Open_License/LICENSE" TYPE="URL"/>
        </foxml:datastreamVersion>
    </foxml:datastream>



    <!--*******************************************************************************************************************************************
           SYSTEM-CONTROLLED AUDIT TRAIL DATASTREAM
           The Fedora repository system will automatically create an audit trail of changes made to the digital object.
           An audit record will be added for each API-M operation that changes the object.
           The system creates and updates this special audit trail datastream and prevents any client from modifying it.
     *******************************************************************************************************************************************-->
    <foxml:datastream CONTROL_GROUP="X" ID="AUDIT" STATE="A" VERSIONABLE="false">
        <foxml:datastreamVersion  FORMAT_URI="info:fedora/fedora-system:format/xml.fedora.audit" ID="AUDIT.0" LABEL="Fedora Object Audit Trail" MIMETYPE="text/xml">
            <foxml:xmlContent>
                <audit:auditTrail xmlns:audit="info:fedora/fedora-system:def/audit#">

                </audit:auditTrail>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>


    <foxml:datastream CONTROL_GROUP="X" ID="SCHEMA" STATE="A"
                      VERSIONABLE="true">
        <foxml:datastreamVersion
                ID="SCHEMA.0" LABEL="Reel Type Side schema"
                MIMETYPE="text/xml">
            <foxml:xmlContent>
                <xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema"
                            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                            targetNamespace="http://doms.statsbiblioteket.dk/types/ReelTapeSide/0/1/#"
                            xmlns="http://doms.statsbiblioteket.dk/types/ReelTapeSide/0/1/#"
                            elementFormDefault="qualified"
                            attributeFormDefault="unqualified">

                    <xsd:element name="side" type="sideType"/>

                    <xsd:complexType name="sideType">
                        <xsd:sequence>
                            <xsd:element name="sideName"
                                         type="xsd:string"/>
                            <xsd:element name="numberOfTracks"
                                         type="xsd:string"/>
                        </xsd:sequence>
                    </xsd:complexType>
                </xsd:schema>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>


    <foxml:datastream ID="STATE" CONTROL_GROUP="X">
        <foxml:datastreamVersion ID="STATE.0" MIMETYPE="text/xml">
            <foxml:xmlContent>
                <s:state
                        value="published"
                        xmlns:s="http://doms.statsbiblioteket.dk/properties/state/0/1/#"
                        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                        xsi:schemaLocation="http://doms.statsbiblioteket.dk/properties/state/0/1/# http://localhost:8080/fedora/get/doms:ContentModel_DOMS/STATE_SCHEMA"/>
            </foxml:xmlContent>
        </foxml:datastreamVersion>
    </foxml:datastream>

</foxml:digitalObject>
